# Stream Information
[PCM Interface]

## Defines

#define | snd_pcm_info_alloca(ptr)
| allocate an invalid snd_pcm_info_t using standard alloca

## Functions

size_t | snd_pcm_info_sizeof (void)
| get size of snd_pcm_info_t
int | snd_pcm_info_malloc (snd_pcm_info_t **ptr)
| allocate an invalid snd_pcm_info_t using standard malloc
void | snd_pcm_info_free (snd_pcm_info_t *obj)
| frees a previously allocated snd_pcm_info_t
void | snd_pcm_info_copy (snd_pcm_info_t *dst, const snd_pcm_info_t *src)
| copy one snd_pcm_info_t to another
unsigned int | snd_pcm_info_get_device (const snd_pcm_info_t *obj)
| Get device from a PCM info container.
unsigned int | snd_pcm_info_get_subdevice (const snd_pcm_info_t *obj)
| Get subdevice from a PCM info container.
snd_pcm_stream_t | snd_pcm_info_get_stream (const snd_pcm_info_t *obj)
| Get stream (direction) from a PCM info container.
int | snd_pcm_info_get_card (const snd_pcm_info_t *obj)
| Get card from a PCM info container.
const char * | snd_pcm_info_get_id (const snd_pcm_info_t *obj)
| Get id from a PCM info container.
const char * | snd_pcm_info_get_name (const snd_pcm_info_t *obj)
| Get name from a PCM info container.
const char * | snd_pcm_info_get_subdevice_name (const snd_pcm_info_t *obj)
| Get subdevice name from a PCM info container.
snd_pcm_class_t | snd_pcm_info_get_class (const snd_pcm_info_t *obj)
| Get class from a PCM info container.
snd_pcm_subclass_t | snd_pcm_info_get_subclass (const snd_pcm_info_t *obj)
| Get subclass from a PCM info container.
unsigned int | snd_pcm_info_get_subdevices_count (const snd_pcm_info_t *obj)
| Get subdevices count from a PCM info container.
unsigned int | snd_pcm_info_get_subdevices_avail (const snd_pcm_info_t *obj)
| Get available subdevices count from a PCM info container.
snd_pcm_sync_id_t | snd_pcm_info_get_sync (const snd_pcm_info_t *obj)
| Get hardware synchronization ID from a PCM info container.
void | snd_pcm_info_set_device (snd_pcm_info_t *obj, unsigned int val)
| Set wanted device inside a PCM info container (see snd_ctl_pcm_info).
void | snd_pcm_info_set_subdevice (snd_pcm_info_t *obj, unsigned int val)
| Set wanted subdevice inside a PCM info container (see snd_ctl_pcm_info).
void | snd_pcm_info_set_stream (snd_pcm_info_t *obj, snd_pcm_stream_t val)
| Set wanted stream inside a PCM info container (see snd_ctl_pcm_info).

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Define Documentation

#define snd_pcm_info_alloca | ( | ptr |  | ) |

allocate an invalid snd_pcm_info_t using standard alloca

Parameters:

  | ptr | returned pointer

## Function Documentation

void snd_pcm_info_copy | ( | snd_pcm_info_t * | dst,
|  | const snd_pcm_info_t * | src |
| ) |  |  |

copy one snd_pcm_info_t to another

Parameters:

  | dst | pointer to destination
  | src | pointer to source

void snd_pcm_info_free | ( | snd_pcm_info_t * | obj | ) |

frees a previously allocated snd_pcm_info_t

Parameters:

  | obj | pointer to object to free

int snd_pcm_info_get_card | ( | const snd_pcm_info_t * | obj | ) |

Get card from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  card number otherwise a negative error code if not associable to a card

snd_pcm_class_t snd_pcm_info_get_class | ( | const snd_pcm_info_t * | obj | ) |

Get class from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  class of PCM

unsigned int snd_pcm_info_get_device | ( | const snd_pcm_info_t * | obj | ) |

Get device from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  device number

const char* snd_pcm_info_get_id | ( | const snd_pcm_info_t * | obj | ) |

Get id from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  short id of PCM

const char* snd_pcm_info_get_name | ( | const snd_pcm_info_t * | obj | ) |

Get name from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  name of PCM

snd_pcm_stream_t snd_pcm_info_get_stream | ( | const snd_pcm_info_t * | obj | ) |

Get stream (direction) from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  stream

snd_pcm_subclass_t snd_pcm_info_get_subclass | ( | const snd_pcm_info_t * | obj | ) |

Get subclass from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  subclass of PCM

unsigned int snd_pcm_info_get_subdevice | ( | const snd_pcm_info_t * | obj | ) |

Get subdevice from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  subdevice number

const char* snd_pcm_info_get_subdevice_name | ( | const snd_pcm_info_t * | obj | ) |

Get subdevice name from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  name of used PCM subdevice

unsigned int snd_pcm_info_get_subdevices_avail | ( | const snd_pcm_info_t * | obj | ) |

Get available subdevices count from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  available subdevices count of PCM

unsigned int snd_pcm_info_get_subdevices_count | ( | const snd_pcm_info_t * | obj | ) |

Get subdevices count from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  subdevices total count of PCM

snd_pcm_sync_id_t snd_pcm_info_get_sync | ( | const snd_pcm_info_t * | obj | ) |

Get hardware synchronization ID from a PCM info container.

Parameters:

  | obj | PCM info container

Returns:
  hardware synchronization ID

int snd_pcm_info_malloc | ( | snd_pcm_info_t ** | ptr | ) |

allocate an invalid snd_pcm_info_t using standard malloc

Parameters:

  | ptr | returned pointer

Returns:
  0 on success otherwise negative error code

void snd_pcm_info_set_device | ( | snd_pcm_info_t * | obj,
|  | unsigned int | val |
| ) |  |  |

Set wanted device inside a PCM info container (see snd_ctl_pcm_info).

Parameters:

  | obj | PCM info container
  | val | Device number

void snd_pcm_info_set_stream | ( | snd_pcm_info_t * | obj,
|  | snd_pcm_stream_t | val |
| ) |  |  |

Set wanted stream inside a PCM info container (see snd_ctl_pcm_info).

Parameters:

  | obj | PCM info container
  | val | Stream

void snd_pcm_info_set_subdevice | ( | snd_pcm_info_t * | obj,
|  | unsigned int | val |
| ) |  |  |

Set wanted subdevice inside a PCM info container (see snd_ctl_pcm_info).

Parameters:

  | obj | PCM info container
  | val | Subdevice number

size_t snd_pcm_info_sizeof | ( | void |  | ) |

get size of snd_pcm_info_t

Returns:
  size in bytes

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines